import { Suspense } from "react";
import { MDXRemote } from "next-mdx-remote/rsc";
import "github-markdown-css/github-markdown-dark.css";
import "../components/style/markdown.css";

export default function Markdown() {
  return (
    <Suspense fallback={<>Loading...</>}>
      <div className="h-full w-full p-8 markdown-body">
        <MDXRemote
          source={`# 1. 两数之和

## 📝 问题描述

给定一个整数数组 \`nums\` 和一个整数目标值 \`target\`，请你在该数组中找出和为目标值 \`target\` 的那 **两个** 整数，并返回它们的数组下标。

你可以假设每种输入只会对应一个答案。但是，数组中同一个元素不能使用两遍。

你可以按任意顺序返回答案。

## 💡 示例

### 示例 1：

> 输入：nums = [2,7,11,15], target = 9
>
> 输出：[0,1]
>
> 解释：因为 nums[0] + nums[1] == 9 ，返回 [0, 1] 。
        `}
        />
      </div>
    </Suspense>
  );
}
