"use client";

import { useEffect, useState } from "react";
import { useEditorStore } from "@/store/useEditorStore";
import { Skeleton } from "@/components/ui/skeleton";

export default function EditorPanel() {
  const { setLanguage, setCode } = useEditorStore();
  const [loading, setLoading] = useState(true);

  useEffect(() => {
    const handleMessage = (event: MessageEvent) => {
      if (event.origin === "https://editor.litchi.icu") {
        if (event.data.type === "editor-info") {
          setLanguage(event.data.language);
          setCode(event.data.code);
        }
      }
    };

    window.addEventListener("message", handleMessage);

    return () => {
      window.removeEventListener("message", handleMessage);
    };
  }, [setLanguage, setCode]);

  const handleLoad = () => {
    setLoading(false);
  };

  return (
    <div className="relative w-full h-full">
      {/* {loading && (
        <div className="absolute inset-0 flex flex-col bg-[#282c34]">
          <div className="flex-initial p-4 border-b border-[#3e4452] flex justify-between items-center">
            <div className="space-x-2 flex items-center">
              <Skeleton className="h-8 w-24 rounded-md" />
              <Skeleton className="h-8 w-24 rounded-md" />
            </div>
            <div className="space-x-2 flex items-center">
              <Skeleton className="h-8 w-24 rounded-md" />
              <Skeleton className="h-8 w-24 rounded-md" />
            </div>
          </div>
          <div className="flex-grow p-4">
            <Skeleton className="w-full h-full rounded-md" />
          </div>
        </div>
      )} */}
      <iframe
        src="https://editor.litchi.icu"
        className="w-full h-full"
        onLoad={handleLoad}
      />
    </div>
  );
}
